This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 19014 - cyradm refuses to execute
cyradm refuses to execute
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: cyrus-imapd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-13 00:16 EDT by Damien Miller
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-18 19:28:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Miller 2000-10-13 00:16:36 EDT
Any attempt to run /usr/cyrus/bin/cyradm fails with the following errors:

[root@neon djm]# /usr/cyrus/bin/cyradm 
Can't load
'/usr/lib/perl5/site_perl/5.6.0/i386-linux/auto/Cyrus/IMAP/IMAP.so' for
module Cyrus::IMAP: undefined symbol: SSL_write at
/usr/lib/perl5/5.6.0/i386-linux/DynaLoader.pm line 200.
 at /usr/lib/perl5/site_perl/5.6.0/i386-linux/Cyrus/IMAP/Admin.pm line 43
Compilation failed in require at
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Cyrus/IMAP/Admin.pm line 43.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Cyrus/IMAP/Admin.pm line 43.
Compilation failed in require at
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Cyrus/IMAP/Shell.pm line 58.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Cyrus/IMAP/Shell.pm line 58.
Compilation failed in require.
BEGIN failed--compilation aborted.

I have the openssl packages installed:

[root@neon djm]# rpm -qa | grep openssl
openssl-0.9.5a-14
openssl-devel-0.9.5a-14
openssl-python-0.9.5a-14
openssl-perl-0.9.5a-14
Comment 1 Need Real Name 2000-10-18 19:28:00 EDT
sorry i should have read your post first - solution posted by me in another thread
Comment 2 Nalin Dahyabhai 2001-02-15 11:13:07 EST
Fixed in Raw Hide and the Fisher beta.

Note You need to log in before you can comment on or make changes to this bug.